Viewing Issue Advanced Details Jump to Notes ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06432 Graphics Minor Always Nov 18, 2016, 18:58 Nov 24, 2016, 03:22
Tester evh347 View Status Public Platform MAME (Official Binary)
Assigned To Jezze Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved   Driver
Version 0.179 Fixed in Version 0.180 Build 64-bit
Summary 06432: Creating a game specific INI disables HLSL filters
Description EDIT:

If the user creates a game specific game ini, the HLSL filters get turned off even when hlsl is enabled to '1' in the ini.

If the user deletes the game specific ini, and configures the hlsl filters on through the MAME UI, then HLSL filters are enabled normally.

Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems
Attached Files
zip file icon qbert.zip (2,718 bytes)  Nov 22, 2016, 16:36 by evh347


-  Notes
User avatar
No.13396
Tafoid
(Administrator)
Nov 19, 2016, 07:22
Did this just start happening with 0.179, or has it always happened?
It is a very odd sounding bug.
User avatar
No.13397
evh347
(Tester)
Nov 19, 2016, 23:57
The behavior I noted was first seen in 179.

I just tested again and it would seem that by creating a game specific ini (to have game specific options enabled, i.e. 'joystick_map') disables the HLSL filters even though that HLSL is enabled '1'.

As soon as the user deletes the game specific ini, HLSL filters are re-enabled.
User avatar
No.13400
B2K24
(Moderator)
Nov 22, 2016, 00:24
I can't seem to repo this issue. Can you put your ini files in an archive and attach it here please?
User avatar
No.13410
evh347
(Tester)
Nov 22, 2016, 16:40
Attached ini file as requested. All I added to the ini file was the 'joystick_map'. The rest of the ini is default settings.

If this ini exists in the /mame/ini/presets/ folder, the hlsl filters are turned off.

If I delete the game's ini file, the hlsl filters start working again.
User avatar
No.13412
Jezze
(Developer)
Nov 22, 2016, 21:57
edited on: Nov 22, 2016, 21:59
Your qbert.ini overrides every setting of the mame.ini or raster.ini and all important HLSL settings are reset to 0.

shadow_mask_alpha, scanline_alpha, defocus, phosphor_life, bloom_scale, aso.

What you want is a qbert.ini with only the joystick_map setting.

User avatar
No.13413
evh347
(Tester)
Nov 23, 2016, 00:32
That's exactly what I'm doing. I'm making a copy of the mame.ini and renaming it qbert.ini.

Then when all I edit is the joystick_map the hlsl filter is turned off.
User avatar
No.13414
Jezze
(Developer)
Nov 23, 2016, 08:25
edited on: Nov 23, 2016, 08:36
MAME takes all settings that match the driver, which for qbert are mame.ini, raster.ini and qbert.ini.

The settings in raster.ini will override the settings in mame.ini
The settings in qbert.ini will override the settings in raster.ini and mame.ini

Take a look in your qbert.ini you attached, all settings I mentioned above are set to 0.

If you want to keep the settings of the raster.ini you should create a qbert.ini containing only the joystick_map setting.

User avatar
No.13417
evh347
(Tester)
Nov 23, 2016, 22:16
Jezze, thank you!

I never had a problem before 179.

I'm in the habit of tweaking a new MAME.ini with every new version of mame. Once I get that, I generally make duplicates of that ini, edit the joystick map, and save under the game's name.ini

I was generating my game's ini using the 179 version of MameUI64. Unknowingly to me, the MameUI64 appears to be ignoring the HLSL settings in the mame.ini and leaving the mask settings defaulted to nothing.

Thank you for helping me understand the hierarchy of the ini files.

To fix, I made a copy of my mame.ini, copied over the raster.ini settings into that ini, changed the joystick map to what I wanted, and finally renamed the ini to match my game's romname.
User avatar
No.13418
Robbbert
(Developer)
Nov 24, 2016, 03:22
MAMEUI has no support for HLSL and similar technologies. Beware!

Also note that if using MAME, you can have a gamename.ini containing just the changed lines, and the other settings will be inherited from other ini-files up the order.
MAMEUI currently does not support miniature ini's like this as yet, it always writes a full one. This functionality is planned for MAMEUI sometime in the future.

I'm closing this, and assigning it to Jezze since he provided the solution.